Internet
All operations require authentication, except the 2 marked Public.
2 operationsv1/xdsl/incidents
List the xDSL incidentsProductionPublic
GET
/1.0/ xdsl/ incidents
Returns the IDs of the incidents impacting xDSL accesses. Filter on the creation and end dates.
Query parameters
creation Date
stringdate-time
Filter the value of creationDate property (>)
end Date
stringdate-time
Filter the value of endDate property (<)
Response
200integer []successful operation
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ incidents[ 0]
Get an xDSL incidentProductionPublic
GET
/1.0/ xdsl/ incidents/ {id}
Returns an incident with its estimated start and end dates, impacted operators, NRA and departments, and comment.
Path parameters
id
required
integer
Id
Response
200Incidentsuccessful operation
comment
read-only
string
—
creation Date
read-only
stringdate-time
Estimated start date
departments
read-only
string []
Department list
end Date
read-only
stringdate-time
Estimated end date
id
read-only
integer
ID of the incident
nra
read-only
string []
NRA list
operators
read-only
Operator Type Enum []
Operator
Values
bouyguescollectkosctask Id
read-only
integer
Task ID on travaux.ovh.com
task Reference
read-only
string
—
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ incidents/ {id}{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "departments": [ "string" ], "endDate": "2024-01-01T12:00:00Z", "id": 0, "nra": [ "string" ], "operators": [ "bouygues" ], "taskId": 0, "taskReference": "string"}